Product comparison · 2 network switches

Dell Brocade M5424 vs EnGenius EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black

Add a product
  • 21specifications compared
  • 11differ
  • 10identical
  • 35known for one product only

Key differences

  • Switching capacity
    • Brocade M5424:96 Gbit/s
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:56 Gbit/s
  • Power consumption (typical)
    • Brocade M5424:32 W
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:370 W
  • Power over Ethernet (PoE)
    • Brocade M5424:No
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:Yes
  • Operating temperature (T-T)
    • Brocade M5424:0 - 40 °C
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:0 - 50 °C
  • Storage temperature (T-T)
    • Brocade M5424:-20 - 70 °C
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:-40 - 70 °C
  • Operating relative humidity (H-H)
    • Brocade M5424:10 - 90%
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:5 - 95%
  • Width
    • Brocade M5424:272.8 mm
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:439.9 mm
  • Depth
    • Brocade M5424:307.2 mm
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:260 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of Brocade M5424, EWS7928FP
56 specifications
Management featuresidentical
Switch typeManagedManaged
Switch layerKnown for oneUnknown — not stated by the sourceL2
Web-based managementKnown for oneUnknown — not stated by the sourceYes
System event logYesYes
MIB supportKnown for oneUnknown — not stated by the sourceRFC1213, RFC1493, RFC1757, RFC2674
Ports & interfacesidentical
Basic switching RJ-45 Ethernet ports quantityKnown for oneUnknown — not stated by the source24
Basic switching RJ-45 Ethernet ports typeKnown for oneUnknown — not stated by the sourceGigabit Ethernet (10/100/1000)
SFP module slots quantityKnown for oneUnknown — not stated by the source4
Console portRJ-45RJ-45
SFP+ module slots quantityKnown for one8Unknown — not stated by the source
Fiber ports quantityKnown for one12Unknown — not stated by the source
Fiber optic connectorKnown for oneLCUnknown — not stated by the source
Power connectorKnown for oneDC-in jackUnknown — not stated by the source
Networkidentical
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at
10G supportNoNo
Port mirroringYesYes
Broadcast storm controlYesYes
Link aggregationYesYes
Rate limitingKnown for oneUnknown — not stated by the sourceYes
Spanning tree protocolKnown for oneUnknown — not stated by the sourceYes
VLAN supportKnown for oneUnknown — not stated by the sourceYes
Full duplexKnown for oneYesUnknown — not stated by the source
Flow control supportKnown for oneYesUnknown — not stated by the source
Data transmission1 differ
Switching capacityDiffers96 Gbit/s56 Gbit/s
Store-and-forwardKnown for oneUnknown — not stated by the sourceYes
Securityidentical
DHCP featuresKnown for oneUnknown — not stated by the sourceDHCP client
Access Control List (ACL)Known for oneUnknown — not stated by the sourceYes
IGMP snoopingKnown for oneUnknown — not stated by the sourceYes
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
SSH/SSL supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for one802.1x RADIUS, HTTPS, SSH, SSL/TLSUnknown — not stated by the source
Protocols1 differ
Management protocolsDiffersTelnet, HTTP, SNMP v1/v3SNMP v1/v2c/v3, CLI, RMONv1, SYSLOG
Designidentical
Rack mountingKnown for oneUnknown — not stated by the sourceYes
StackableNoNo
Form factorKnown for oneUnknown — not stated by the source1U
Product colourBlackBlack
LED indicatorsYesYes
Number of fansKnown for oneUnknown — not stated by the source2 fan(s)
Performanceidentical
Internal memoryKnown for oneUnknown — not stated by the source256 MB
Flash memoryKnown for oneUnknown — not stated by the source32 MB
Power1 differ
Power consumption (typical)Differs32 W370 W
Input voltageKnown for one12 VUnknown — not stated by the source
Power over Ethernet (PoE)1 differ
Power over Ethernet (PoE)DiffersNoYes
Power over Ethernet (PoE) ports quantityKnown for oneUnknown — not stated by the source24
Total Power over Ethernet (PoE) budgetKnown for oneUnknown — not stated by the source370 W
Operational conditions3 differ
Operating temperature (T-T)Differs0 - 40 °C0 - 50 °C
Storage temperature (T-T)Differs-20 - 70 °C-40 - 70 °C
Operating relative humidity (H-H)Differs10 - 90%5 - 95%
Storage relative humidity (H-H)Known for one5 - 95%Unknown — not stated by the source
Weight & dimensions4 differ
WidthDiffers272.8 mm439.9 mm
DepthDiffers307.2 mm260 mm
HeightDiffers32.5 mm43.9 mm
WeightDiffers2.1 kg3.55 kg
Packaging contentidentical
Cables includedKnown for oneUnknown — not stated by the sourceAC, LAN (RJ-45)
Quick start guideKnown for oneUnknown — not stated by the sourceYes
ManualKnown for oneUnknown — not stated by the sourceYes

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons